Gantry::Control::C::AuthenRegular(3)

NAME
Gantry::Control::C::AuthenRegular - AuthenBase subclass for normal ORMs

SYNOPSIS
use Gantry::Control::C::AuthenRegular qw/-Engine=MP20/;

DESCRIPTION
This module allows authentication against a database.

METHOD

user_model
    Returns Gantry::Control::Model::auth_users. If you want something else, try Gantry::Control::C::AuthenCDBI or make your own Gantry::Control::C::AuthenBase subclass.

APACHE
Sample Apache conf configuration

  <Location /location/to/auth >
    AuthType    Basic
    AuthName    "Manual"

    PerlSetVar  auth_dbconn     'dbi:Pg:<database_name>'
    PerlSetVar  auth_dbuser     '<database_user>'
    PerlSetVar  auth_dbpass     '<database_password>'

    PerlSetVar  auth_dbcommit   off

    PerlAuthenHandler   Gantry::Control::C::AuthenRegular

    require     valid-user
  </Location>

DATABASE
This is the table that will be queried for the authentication of the user.

  create table "auth_users" (
    "id"            int4 default nextval('auth_users_seq') NOT NULL,
    "user_id"       int4,
    "active"        bool,
    "user_name"     varchar,
    "passwd"        varchar,
    "crypt"         varchar,
    "first_name"    varchar,
    "last_name"     varchar,
    "email"         varchar
  );

METHODS

handler
    The mod_perl authen handler.

SEE ALSO
Gantry::Control::C::Authz(3), Gantry::Control(3), Gantry(3)

AUTHOR
Phil Crow <philcrow2000@yahoo.com>

COPYRIGHT
Copyright (c) 2006, Tim Keefer.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.